Your submission was sent successfully! Close

USN-5193-2: X.Org X Server vulnerabilities

26 January 2022

Several security issues were fixed in X.Org X Server.

Releases

Packages

Details

USN-5193-1 fixed several vulnerabilities in X.Org. This update provides
the corresponding update for Ubuntu 14.04 ESM and Ubuntu 16.04 ESM.

Original advisory details:

Jan-Niklas Sohn discovered that the X.Org X Server incorrectly handled
certain inputs. An attacker could use this issue to cause the server to
crash, resulting in a denial of service, or possibly execute arbitrary
code and escalate privileges.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 16.04
Ubuntu 14.04

After a standard system update you need to reboot your computer to make all
the necessary changes.

Related notices

  • USN-5193-1: xmir, xserver-xorg-legacy-hwe-18.04, xserver-xorg-xmir, xserver-xorg-dev, xorg-server-hwe-18.04, xserver-xorg-legacy, xserver-xephyr-hwe-18.04, xserver-xephyr, xnest, xvfb, xdmx-tools, xserver-xorg-core-hwe-18.04, xorg-server-source, xserver-common, xdmx, xwayland, xorg-server, xwayland-hwe-18.04, xorg-server-source-hwe-18.04, xserver-xorg-core, xserver-xorg-dev-hwe-18.04